///Licensed under Creative Commons Attribution 4.0 License, Written by Clemens Winter and Vladislav Nachev
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exploitation
{

    class BatManager : AgentManager
    {
        Agent[] bats;


        public BatManager(Agent[] agents)
        {
            this.bats = agents;
        }


        public override Agent[] Agents
        {
            get { return bats; }
        }

        public override Agent[] CreateNewGeneration(Ressource[] ressources)
        {
            foreach (Agent agent in bats)
            {
                agent.ResetMemoryContent(ressources);
                agent.Physiology.ResetSatiety();
            }
            return bats;
        }
    }
}
